.chat {
  width: 60%;
  font-size: 14px;
  header {
    background-color: $primaryDarkColor;
    border-bottom: $border;
    height: 80px;
    @include flex(row);
    align-items: center;
    padding-left: 10px;
    h1 {
      color: $textDarkColor;
      font-weight: $font-weight;
      font-size: 24px;
      letter-spacing: -1px;
      padding-left: 10px;
    }
  }
}

.chat-list {
  padding: 14px 14px 220px;
  @include flex(column);
  overflow-y: scroll;
  scroll-behavior: smooth;
  max-height: 100vh;
}

.chat-list::-webkit-scrollbar {
  display: none;
}

.chat-message {
  div {
    max-width: 80%;
  }
  padding: 15px 0;

  &__incoming {
    @include flex(row);
    align-items: flex-end;
  }
  &__outgoing {
    @include flex(column);
    align-self: flex-end;
    max-width: 80%;
    .message-time {
      align-self: flex-end;
    }
  }
}

.message {
  padding: 10px 15px;
  border-radius: 20px;
  overflow: hidden;
  text-overflow: ellipsis;
}
.incoming-message {
  background-color: $secondaryDarkColor;
  color: $primaryColor;
}
.outgoing-message {
  background-color: $secondaryLightColor;
  color: $textDarkColor;
}
.message-time {
  color: $textLightColor;
  padding: 10px 10px 0;
  font-size: 12px;
}

.form-container {
  border-top: $border;
  background-color: $primaryColor;
  position: fixed;
  bottom: 0;
  width: 60%;
}
.chat-form {
  position: relative;
  height: 111px;
  @include flex(row);
  align-items: center;
  justify-content: center;
  input {
    width: 90%;
    height: 50px;
    font-weight: $font-weight;
    padding-right: 60px;
  }
}
.message-send {
  width: 15px;
  height: 15px;
  background: url("/assets/send.svg");
  position: absolute;
  top: center;
  right: 8%;
  &:hover {
    cursor: pointer;
  }
}

@media only screen and (max-width: 768px) {
  .chat {
    height: 100%;
    width: 100%;
    header {
      background-color: $secondaryDarkColor;
      h1 {
        color: $primaryColor;
      }
    }
  }
  .form-container {
    width: 100%;
  }
  .chat-list {
    padding-bottom: 120px;
  }
  .chat-form {
    height: 90px;
  }
}
